Skip to:
Content

Opened 3 years ago

Closed 3 years ago

#2952 closed defect (wontfix)

Fatal error: `BBP_Login_Widget::widget()` with PHP 5.2 and WordPress /trunk

Reported by: netweb Owned by:
Milestone: Priority: normal
Severity: normal Version:
Component: API - Widgets Keywords:
Cc:

Description

See Job #252.33 https://travis-ci.org/ntwb/bbPress/jobs/130158056

Fatal error: Declaration of BBP_Login_Widget::widget() must be compatible with that of WP_Widget::widget() in /tmp/wordpress/src/wp-content/plugins/bbPress/src/includes/common/widgets.php on line 217
Fatal error: Declaration of BBP_Login_Widget::widget() must be compatible with that of WP_Widget::widget() in /tmp/wordpress/src/wp-content/plugins/bbPress/src/includes/common/widgets.php on line 217

Related: changeset:37425/#WP35981

Quoting kraftbj:

For plugin authors: If your widget does not include a widget() function, you'll need to add an noop function to prevent fatals.

Change History (2)

#1 @netweb
3 years ago

  • Keywords close added; needs-patch removed
  • Priority changed from high to normal
  • Severity changed from major to normal

The upstream change is going to be reverted, adding close here though will keep open until the revert has taken place.

See https://core.trac.wordpress.org/ticket/35981#comment:11 & #comment:12 for more discussion/reference

#2 @netweb
3 years ago

  • Keywords close removed
  • Milestone 2.6 deleted
  • Resolution set to wontfix
  • Status changed from new to closed

The changes upstream have now been reverted, closing this as wontfix:


Via changeset:37648:

Widgets: Revert changeset:37425 and changeset:37427.

The change can cause fatal errors under certain conditions, like when the subclass has a different function signature for widget() or doesn't even implement the method.

See #35981.

Note: See TracTickets for help on using tickets.